package aicg.wipf.vzuj.jxkr

import aicg.wipf.vzuj.Jcwq_D
import android.content.Intent
import android.os.Bundle
import android.widget.CalendarView
import androidx.appcompat.app.AppCompatActivity

class Zlnd_D : AppCompatActivity() {

    private fun ޥޓޞޤޝބކޤ(savedInstanceState: Bundle?) {
        fun ލނދޙހޅޘއ() {
            fun ލނޒދނޝޥޖ(ޅހޓޤޛޝޚޡ: Int) {
                println(ޅހޓޤޛޝޚޡ)
            }
            ލނޒދނޝޥޖ(5367)
            ލނޒދނޝޥޖ(2416)
            ލނޒދނޝޥޖ(2534)
        }
        ލނދޙހޅޘއ()
        ޝފޞޘޑޕއޘ(savedInstanceState)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        fun ޟޏކނޜޚތސ(އޏށޜލއލޠ: Int, ޕޙޖސޏސޣޔ: Int): Int {
            return އޏށޜލއލޠ + ޕޙޖސޏސޣޔ
        }
        println(ޟޏކނޜޚތސ(4392, 8233))
        ޥޓޞޤޝބކޤ(savedInstanceState)
        super.onCreate(savedInstanceState)
        ޒޅޓޝނނޢނ(savedInstanceState)
    }

    private fun ޏކޙޗލށޕކ(savedInstanceState: Bundle?) {
    }

    private fun ޒޅޓޝނނޢނ(savedInstanceState: Bundle?) {
        class ޥޑއކޔޖގޓ<T>(val ޡޝޚނދޅއޕ: T)
        val ވޅރލޢހޔތ = ޥޑއކޔޖގޓ(2199)
        val ޟޏޖތޜޘޕބ = ޥޑއކޔޖގޓ("ޛނށތޣޠޝޖ")
        println(ވޅރލޢހޔތ)
        println(ޟޏޖތޜޘޕބ)
        ޘޗޔޙޣގޒގ(savedInstanceState)
    }

    private fun ޘޗޔޙޣގޒގ(savedInstanceState: Bundle?) {
        ޖގޖޚފޓޖގ(savedInstanceState)
    }

    private fun ޝފޞޘޑޕއޘ(savedInstanceState: Bundle?) {
        ޏކޙޗލށޕކ(savedInstanceState)
    }

    private fun ޖގޖޚފޓޖގ(savedInstanceState: Bundle?) {
        fun String.ތޜޚޘޑލޝފ(): Boolean {
            return this == this.reversed()
        }
        val ޤތޡށޒގތޏ = "ޝޕހސޡޙނޕ"
        val ޠމޖޣބއކޅ = ޤތޡށޒގތޏ.ތޜޚޘޑލޝފ()
        println(ޠމޖޣބއކޅ)
        setContentView(CalendarView(this))
        startActivity(Intent(this, Jcwq_D::class.java))
    }
}